Como compilar Blender para Debian/Mint/Ubuntu ?

Spanish Forum

Moderator: JCSenar

Post Reply
Lack Of Love
Level 1
Level 1
Posts: 1
Joined: Sun May 27, 2018 3:02 pm

Como compilar Blender para Debian/Mint/Ubuntu ?

Post by Lack Of Love » Sun May 27, 2018 4:38 pm

Hola, no soy nuevo en linux ni en mint, sere honesto si por mi fuera seguiría usando Slackware, y espero que no se ofendan, cada quien es libre de tener su distro favorita, sin embargo para ser un especialista en Unix necesito ampliar mis conocimientos en todos los aspectos posibles, ya que una cosa es el gusto personal y otra las necesidades laborales que tenemos que cubrir.bueno... dicho esto espero que sean buenos compañeros de foro, yo lo sere, eso no lo duden, les pido de favor mente abierta y criterio y mucho sentido común, ya que me gustaría poder hacer de este pequeño espacio que estoy ocupando una referencia para otros novatos o que tengan un problema similar al mío aunque nos ea con el mismo SC.

bueno como dije antes no soy muy hábil en debian y en mint, y me gustaria tener un poco más de habilidad para compilar o crear paquetes instalables en debian y mint, asi que elegi un software que muchos usan que no está actualizado en debian. BLENDER 2.78 o 2.79, ya que no creo poder hacer uso de blender 2.8, ya que supera las expectativas de hardware de mis pequeñas máquinas, y me gustaria que alguien que sepa como hacer esto me vaya guiando, paso a paso ( según el momento en que me encuentre atascado con algo que no pueda resolver )

y entonces mi lista de materiales hasta el momento es ...!
  • 1 pc de escritorio
  • 2 Source code de Blender 2.78
  • 3 Source Code de cmake
pero aquí comienzan los tropiezos, mint no tiene actualizado cmake por lo cual descargue el código fuente para tener la versión actual, entonces ahora que hago ? como lo instalo, la documentación de cmake es más confusa que la de debian, mint y ubuntu, y estoy muy lejos de saber lo basico de debian ya que casi nunca me he visto en la necesidad de recurrir a su documentación o de sus ramificaciones como mint y ubuntu

también pueden encontrarme en mi Discord Slackware GNU / con linux https://discord.gg/5UrGZhn

User avatar
JOPETA
Level 13
Level 13
Posts: 4804
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Como compilar Blender para Debian/Mint/Ubuntu ?

Post by JOPETA » Sat Jun 02, 2018 3:29 pm

En primer lugar, paso por alto algunos de los comentarios y como siempre con mente abierta y criterio y mucho sentido común ¡Bienvenido al foro! :D

En segundo lugar es difícil que esto les pueda ser de ayuda a recién llegados a Mint si saben lo que buscan en Mint: una distro fácil de manejar en un entorno gráfico agradable y estable aún a costa de no estar a la última en todo. En MInt 18.X/Ubuntu xenial se dispone de Blender 2.76 y la última versión para Linux es la 2.79b.
-A los recién llegados a Mint lo que les recomendamos es que huyan de la versionitis, es decir tener la última versión disponible de todo ya que por lo general los cambios que incorporan respecto a la versión disponible en el repositorio no suelen merecer la pena y por el contrario si les puede conducir a tener un sistema menos estable. Puedes ver todo lo recomendado en relación a la instalación de software en la correspondiente sección de Tutoriales y de forma más resumida en cómo instalar software..

-Aún así, si por los motivos que sea requieran/necesiten de versiones mas actuales de alguna aplicación,
-las pueden instalar fácilmente desde PPAs (a ser posible de los desarrolladores) que es más fácil y seguro para ellos y su sistema (mas si después de instalar desactivan la PPA). Si buscas verás que existen PPAs que proporcionan ya esas versiones más actuales que la 2.76 e incluso para la 2.79 . Su instalación no es muy difícil siguiendo cualquier tutorial de la red, por ejemplo este para Blender 2,8 Ubuntu 16.04 o Mint 18.X y no tienen que cambiar a la última edición de su distro ni compilar.

-Además ahora MInt desde la edicoón Lm18.3 incluye flatpak que sin tener la simpatía de todos, te da la posibilidad e instalar aplicacione sin preocuparte de las dependencias. Tambien se puede recurrir a las versiones snap donde tienen disponible Blender 2.79, en la medida que aumente la oferta de aplicaciones facilitará aún mas estas cuestiones como ahora lo hacen las versiones portables (que también la hay para el último Blender para Linux en la web del desarrollador).
SI deben compilar desde el código fuente, esto ya no es para recién llegados ni a Mint ni a Linux, Aquí recomendamos usar make y preferiblemente checkinstall para poder desinstalar sin el problema de mantener los tarball o sus directorios descomprimidos del código fuente. Como sabrás no es necesario recurrir a cmake para compilar Blender, basta con make.

Puedes compilar, de todas formas con cmake como indica el enlace anterior, que también está disponible en el repositorio. Si es por hacerlo con las versiones mas actuales ya sabes lo que recomendamos antes de llegar a compilarla desde el código fuente (mira la entrada número 74, si no quieres recurrir a la propia página del desarrollador). Antes de instalar la nueva versión necesitas desinstalar la anterior apt remove cmake y esperar que la falta de una dependencia o recomendación no haga difícil/imposibilite su uso..

En resumen, sin que lo tomes a mal, si necesitas estar a la última de aplicaciones/paquetes/librerías esenciales del sistema, te conviene una distro que incorpore versiones mas actuales de casi todo y no es Mint, tampoco Ubuntu. Por supuesto eres libre de volver o probar la distro que quieras...esto es Linux. Aquí serás bienvenido igualmente respetando las reglas del foro.:wink:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

Post Reply

Return to “Español (Spanish)”